## org.eclipse.emf.ecore.util
Class BasicSettingDelegate.Stateless

    java.lang.Object
      org.eclipse.emf.ecore.util.BasicSettingDelegate
          org.eclipse.emf.ecore.util.BasicSettingDelegate.Stateless

All Implemented Interfaces:
  EStructuralFeature.Internal.SettingDelegate

Enclosing class:
  BasicSettingDelegate

    public abstract static class BasicSettingDelegate.Stateless

extends BasicSettingDelegate

A basic implementation of a stateless setting delegate. At least the first two of these methods should be overridden.

- `setting(InternalEObject)`
- `get(InternalEObject, boolean, boolean)`
- `set(InternalEObject, Object)`
- `isSet(InternalEObject)`
- `unset(InternalEObject)`
- `inverseAdd(InternalEObject, InternalEObject, NotificationChain)`
- `inverseRemove(InternalEObject, InternalEObject, NotificationChain)`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.BasicSettingDelegate
`BasicSettingDelegate.Stateless`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.SettingDelegate
`EStructuralFeature.Internal.SettingDelegate.Factory`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.BasicSettingDelegate
`eStructuralFeature`

Constructor Summary
`BasicSettingDelegate.Stateless(EStructuralFeature eStructuralFeature)`

Method Summary
`java.lang.Object` `dynamicGet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID, boolean resolve, boolean coreType)` Returns the value of the feature of this owner.
`NotificationChain` `dynamicInverseAdd(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID, InternalEObject otherEnd, NotificationChain notifications)` Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.
`NotificationChain` `dynamicInverseRemove(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID, InternalEObject otherEnd, NotificationChain notifications)` Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.
`boolean` `dynamicIsSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID)` Returns whether the feature of the owner is considered to be set.
`void` `dynamicSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID, java.lang.Object newValue)` Sets the value of the given feature of the owner to the new value.
`EStructuralFeature.Setting` `dynamicSetting(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID)` Returns a setting that can be used to access the owner's feature.
`void` `dynamicUnset(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID)` Unsets the value of the given feature of the owner.
`protected abstract java.lang.Object` `get(InternalEObject owner, boolean resolve, boolean coreType)` Returns the value of this delegate's feature for the owner.
`protected NotificationChain` `inverseAdd(InternalEObject owner, InternalEObject otherEnd, NotificationChain notifications)` Adds the object at the other end of a bidirectional reference to this delegate's feature and returns accumulated notifications.
`protected NotificationChain` `inverseRemove(InternalEObject owner, InternalEObject otherEnd, NotificationChain notifications)` Remove the object at the other end of a bidirectional reference from this delegate's feature and returns accumulated notifications.
`protected abstract boolean` `isSet(InternalEObject owner)` Returns whether the value of this delegate's feature is considered set for the owner.
`protected void` `set(InternalEObject owner, java.lang.Object newValue)` Sets this new value of this delegate's feature for the owner.
`protected EStructuralFeature.Setting` `setting(InternalEObject owner)` Creates a setting for the owner and this delegate's feature.
`protected void` `unset(InternalEObject owner)` Unsets the values of this delegate's feature for the owner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSettingDelegate.Stateless

    public BasicSettingDelegate.Stateless(EStructuralFeature eStructuralFeature)

Method Detail

### dynamicSetting

    public final EStructuralFeature.Setting dynamicSetting(InternalEObject owner,
                                                           EStructuralFeature.Internal.DynamicValueHolder settings,
                                                           int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns a setting that can be used to access the owner's feature.

  Specified by:
    `dynamicSetting` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicSetting` in class `BasicSettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
  Returns:
    a setting that can be used to access the owner's feature.
  See Also:
    `InternalEObject.eSetting(EStructuralFeature)`

### setting

    protected EStructuralFeature.Setting setting(InternalEObject owner)

  Creates a setting for the owner and this delegate's feature.

  Parameters:
    `owner` - the owner for the setting.
  Returns:
    a new setting.

### dynamicGet

    public final java.lang.Object dynamicGet(InternalEObject owner,
                                             EStructuralFeature.Internal.DynamicValueHolder settings,
                                             int dynamicFeatureID,
                                             boolean resolve,
                                             boolean coreType)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns the value of the feature of this owner.

  Specified by:
    `dynamicGet` in interface `EStructuralFeature.Internal.SettingDelegate`
  Specified by:
    `dynamicGet` in class `BasicSettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
    `resolve` - whether to resolve.
    `coreType` - return the core EMF object if value is a non-EMF wrapper/view.
  Returns:
    the value of the feature of this owner.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### get

    protected abstract java.lang.Object get(InternalEObject owner,
                                            boolean resolve,
                                            boolean coreType)

  Returns the value of this delegate's feature for the owner.

  Parameters:
    `owner` - the object for with to fetch the value.
    `resolve` - whether the returned object should be resolved it if is a proxy.
    `coreType` - whether to return the core type value or the API type value.
  Returns:
    the value of this delegate's feature for the owner.
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### dynamicIsSet

    public final boolean dynamicIsSet(InternalEObject owner,
                                      EStructuralFeature.Internal.DynamicValueHolder settings,
                                      int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns whether the feature of the owner is considered to be set.

  Specified by:
    `dynamicIsSet` in interface `EStructuralFeature.Internal.SettingDelegate`
  Specified by:
    `dynamicIsSet` in class `BasicSettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
  Returns:
    whether the feature of the owner is considered to be set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### isSet

    protected abstract boolean isSet(InternalEObject owner)

  Returns whether the value of this delegate's feature is considered set for the owner.

  Parameters:
    `owner` - the object for with to test is set.
  Returns:
    whether the value of this delegate's feature is considered set for the owner.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### dynamicSet

    public final void dynamicSet(InternalEObject owner,
                                 EStructuralFeature.Internal.DynamicValueHolder settings,
                                 int dynamicFeatureID,
                                 java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Sets the value of the given feature of the owner to the new value.

  Specified by:
    `dynamicSet` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicSet` in class `BasicSettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
    `newValue` - the new value for the feature.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### set

    protected void set(InternalEObject owner,
                       java.lang.Object newValue)

  Sets this new value of this delegate's feature for the owner.

  Parameters:
    `owner` - the owner for which to set the value
    `newValue` - the new value for the feature.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### dynamicUnset

    public final void dynamicUnset(InternalEObject owner,
                                   EStructuralFeature.Internal.DynamicValueHolder settings,
                                   int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Unsets the value of the given feature of the owner.

  Specified by:
    `dynamicUnset` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicUnset` in class `BasicSettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### unset

    protected void unset(InternalEObject owner)

  Unsets the values of this delegate's feature for the owner.

  Parameters:
    `owner` - the owner for which to unset the value.
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### dynamicInverseAdd

    public final NotificationChain dynamicInverseAdd(InternalEObject owner,
                                                     EStructuralFeature.Internal.DynamicValueHolder settings,
                                                     int dynamicFeatureID,
                                                     InternalEObject otherEnd,
                                                     NotificationChain notifications)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.

  Specified by:
    `dynamicInverseAdd` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicInverseAdd` in class `BasicSettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse add.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseAdd(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

### inverseAdd

    protected NotificationChain inverseAdd(InternalEObject owner,
                                           InternalEObject otherEnd,
                                           NotificationChain notifications)

  Adds the object at the other end of a bidirectional reference to this delegate's feature and returns accumulated notifications.

  Parameters:
    `owner` - the owner for which to do the inverse add.
    `otherEnd` - the object to inverse add.
    `notifications` - the notifications accumulated so far.
  Returns:
    the accumulated notifications.

### dynamicInverseRemove

    public final NotificationChain dynamicInverseRemove(InternalEObject owner,
                                                        EStructuralFeature.Internal.DynamicValueHolder settings,
                                                        int dynamicFeatureID,
                                                        InternalEObject otherEnd,
                                                        NotificationChain notifications)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.

  Specified by:
    `dynamicInverseRemove` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicInverseRemove` in class `BasicSettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse remove.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseRemove(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

### inverseRemove

    protected NotificationChain inverseRemove(InternalEObject owner,
                                              InternalEObject otherEnd,
                                              NotificationChain notifications)

  Remove the object at the other end of a bidirectional reference from this delegate's feature and returns accumulated notifications.

  Parameters:
    `owner` - the owner for which to do the inverse remove.
    `otherEnd` - the object to inverse remove.
    `notifications` - the notifications accumulated so far.
  Returns:
    the accumulated notifications.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.